Subject: [Fot] Quantum Mechanics Transmission

From: Scott Janzen <[email-masked]>
Date: Sat, 17 Aug 2013 13:34:13 -0400

I used to send stuff to Quantum, but I've had great success in the past few
years with Matt Bakes at Triumph Rescue in Bally, Pa.  He does not strictly do
transmissions, but he has built/re-built TR4/6 boxes for me with close ratio
gears from Ken Gillanders.  Matt and his wife have general mechanical and
restoration shop for British cars.

Good work, no issues/leaks, understands the racing stresses and looks
pro-actively for issues, timely, reasonable price, and great communication.
Just picked up the refreshed box this morning at his shop (following the
recent clutch disc failure at Schenley) and a "built" spare to take with me to
the track, hopefully ensuring I will not have a failure!

For me, it's easy cuz he's local, but if you are shipping to Quantum you can
ship anywhere.
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive